## Synaptics Driver Release Notes for HP

Version: 17.0.8.9
Date: 09-04-2013
No changes
Version: 17.0.8.8
Date: 08-30-2013
No changes
Version: 17.0.8.7
Date: 08-29-2013
No changes
Version: 17.0.8.6
Date: 08-26-2013
No changes
Version: 17.0.8.5
Date: 08-21-2013
No changes
Version: 17.0.8.4
Date: 08-20-2013
No changes
Version: 17.0.8.3
Date: 08-19-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45350 | Add one more Intel SMBus chip ID | [Branch] : Add one more Intel SMBus Chip id.
TP-45363 | 968369 M-HOUFIT: Win7-64: BSOD x9F Occurred when system Idle on DC during lunch time (Issue is intermittent with high failing rate 2/5) | After switching to PS2 mode in SMB mode when system goes to suspend, hibernation, or reboot, we need to set right LED state if it has LED support.

Version: 17.0.8.2
Date: 08-13-2013
No changes
Version: 17.0.8.1
Date: 08-11-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45249 | Branch Build Request - V17.0.8.x OEMWPF.inf | Porting for fixing an abnormal scroll speed for using free scrolling.

Version: 17.0.8
Date: 08-01-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-42303 | Improve Driver build process and release note for customers | Remove useless notification in middle of build; Fix file verification script; Fix UTF-8 failure to translate non-ASCII apostrophe in release notes
TP-44354 | Horizontal two finger scrolling can't work on PDF file via win8 PFD APP | Fix horizontal scrolling becomes vertical scrolling in Metro simple Chinese pdf reader
TP-44770 | Bonsai - Can not use zoom in/out function after put a third or more fingers on the touchpad | Avoid canceling pinch action when more finger down feature is set.
TP-44975 | WHCK Failure (PS/2) - 17.0.5.3 | HPConsumer.inf (Next/Blue) | Added Synaptics generic compatible ID *SYN0002 for all PS2 touchpad infs; Added a hack until Microsoft fixes its WHCK tool
TP-45042 | Scrolling is not smoothly on metro app Photos and Camera while ZoomPerfect is enabled | Fix injection error for 2 finger scrolling gesture under Metro-mode app. This error will cause scrolling not smooth.
TP-44026 | Implement new left edge and right swipe per HP request | Implement new left edge and right edge gestures on Windows 8.
TP-44993 | [Win7 64bit] System will pop up "Stopped working" msg during re-install Touchpad driver by Recovery Manager (PNPID= 1EA6) | Fixed memory access violation that results in "Stopped working" pop-up msg during re-install driver by Recovery Manager.

Version: 17.0.7
Date: 07-26-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44571 | Spyder ULT - Default setting is incorrect | Duplicate of ClickpadViews, ClickpadViewModel for OEM Win7 UI for 2013.
TP-44879 | OEMWPF TPPB - modified Win7 UI for 2013 | Changed help text. Added new help text, all in English for now.
TP-44776 | FP: Need warning message when ForcePad does not have calibration values in the firmware | Inform the user if the ForcePad does not contain valid calibration data in the firmware.
TP-45037 | Lower LED level it is too bright | Adjusted LED to level 3 for HP Cyclone.

Version: 17.0.6
Date: 07-18-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Display ACM 2.0 type in Diagnostic panel
TP-44941 | Getting wrong register offset of ACM20 existence for old FW | Parsing ACM2.0 existence information correctly.; Update the packrat number.; Provide ACM2.0 disabled setting.
TP-44562 | [Linux] Empty main window "property of Synaptics LuxPad V7.5" | Fix an issue that touchpad settings button is disabled in touchpad control panel on Linux platforms
TP-44813 | PS/2 driver v17.0.3 failed in Win8.1 WHCK test | Fix DevFundInfTest fail since the inf has Compatible ID that begin with ACPI

Version: 17.0.5
Date: 07-11-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Follow-up: add registry overrides for RMI4 caps; Add RMI4 capabilities query to API
TP-44188 | Customer wants previous release notes combined with current release notes | Add a "history" feature to ReleaseNotes.HTML; Build script now creates a history from previous release notes
TP-44828 (958966) | It will pop up the error "SynTPEnh.exe-Entry Point Not Found" at the end of insttalling Synaptics driver on Vista 32&64. | Fixed SynTPEnh and SynTPHelper crash in Vista with driver built with Vs2012
TP-44497 | FP: force reconstruct is yielding lower than expected values | Fixed ForcePad calibration constructor to use correct overloaded operator.
TP-44790 | PNPID request: HPnewUI.inf and HP_uxui.inf | Added new PnP ID.
TP-44813 | PS/2 driver v17.0.3 failed in Win8.1 WHCK test | Fix DevFundInfTest fail since the inf has HW Id or Compatible ID that begin with *pnp
TP-44830 | BSOD(SynTP.sys) happened when resume from S3 on Velma Win8.1 | Fixed a BSOD which was caused by NULL filter during device detection.

Version: 17.0.4
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Do fixme and handle F11 data offsets properly. Still a wip since a large number of F11 data registers remain unchecked in the interrupt handler.
TP-44721 | Geasture issue on Google Chromewith High DPI setting | Fixed issue of two finger scrolling not working when cursor is near the right edge of the window with DPI=150%
TP-44750 (20130628 meeting with Kirk) | After log file capture Kirk would like the default folder opened so that the log file can be copied or viewed instead of just closing | In Windows 8.1 Preview, the GetVersion(Ex) APIs have been deprecated.; In Windows 8.1 Preview, the GetVersion(Ex) APIs have been deprecated. Update Manifest
TP-44776 | FP: Need warning message when ForcePad does not have calibration values in the firmware | Added a warning message to the user when the ForcePad does not contain calibration values in the firmware.
TP-44778 | FP: Disable drag+force release for 2F case | Cancel the drag after force was released for 2F case.
TP-44790 | PNPID request: HPnewUI.inf and HP_uxui.inf | Added new PnP ID.

Version: 17.0.3
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-42303 | Improve Driver build process and release note for customers | For release notes, if "Contact" field is missing, print the Creator of the Jira issue; Create a default empty dictionary in case JSON load fails for invalid and missing Jira numbers; Use Python decode('utf-8-sig') to strip byte order mark out of text; Do not distribute Release.txt any more since it is not updated. Use ReleaseNotes.html.
TP-43964 | ACM 2.0 change of algorithm strength driver meta-bug | Make contact type interface consistent. Add HasACM2() query.
TP-44618 (TM-2768-001) | The systray icons will flicker when scrolling in a photos viewer with three finger flick | Only turned on IME workaround for twist action instead of all gestures for Photo Viewer.
TP-44682 | Use maximum force instead of total force for multiple fingers click | Used maximum force instead of total force for MF click.
TP-44692 (ECR177029, ECR176429) | Copyright issue | Update Coypyright to 1996-2013
TP-44292 (O934180) | Demo will show black after idle 3 to 5 minutes on LuPad setting UI | Fixed demo video showing black after idle 3 to 5 minutes on LuxPad Settings UI.
TP-44652 (Email from Jason Ting) | FORCEPAD CONTROL LED FUNCTION | Enabled KBC notification when TouchPad is enabled or disabled for SYN300D.
TP-44683 | Move common section to oemcommcntrl and add more notches in ForceClickThreshold control | Moved forceclick threshold control UI to oemcommctrl, and added more notches in the control.; Removed buttons pseudo device for HP Bullet.
TP-44684 | Adjust TotalForceClickThreshold for HP Bullet | Adjusted TotalForceClickThreshold for HP bullet.
TP-44686 | Adjust LED level from 8 to 5 for all HP commercial platforms. | Adjusted LED level from 8 to 5 when TouchPad is disabled.
TP-44687 | Disable User Mode Force from Compiling Time, Otherwise Force Continuation Gestures Won't Work. | Disabled user mode force calculation, it is done in kernel, otherwise force gesture continuation won't work.
TP-44700 | Missing Force Information from Diagnostics Page for InterTouch ForcePad | Fixed missing force information in Diagnostics page for InterTouch ForcePad.

Version: 17.0.2
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44299 | Right side, down side "Return at edge of screen" in Momentum doesn't work | Fixed the bounce off screen edge in momentum not working issue with high DPI.
TP-43853 | Two-Finger Click Implementation on ForcePad | Added threshold to clicking in order to distinguish between Left and Right click when 2 fingers are on the pad.
TP-44562 | [Linux] Empty main window "property of Synaptics LuxPad V7.5" | Fix an issue that device list in Linux control panel is empty
TP-44617 | 953569 FNC_PE_WIST/Touchpad: Disable (uncheck box) "Enable coasting "has no function. | Since HP UI only has one checkbox to control both coasting and inertia, set right configuration flag to tell the driver using coasting flag.

Version: 17.0.1
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44440 | Convert packet count to time | Improve taps-Convert packet count to time.; Make gesture work properly for different report rates of devices; Make PalmOnPad gesture works normal for various report rate of devices.; code improve by rename a function.; Add a utility function to clear packet.
TP-44531 | Silent Uninstallation fail in in toshiba.inf | Silent Uninstallation fail with SynIsdll built with Vs2012; Silent Uninstallation fail in in Win8 x64
TP-44533 | Application crashes when we double tap on the top left corner of the TP to disable the touchpad in HPNEWUI v17.0.0 | Changed call convention from std to cdecl to fix syntpenh creash when it reads Png file.
TP-44564 | ACM2.0 can't work on OEM machine | FollowUp:Change uiQuery36Offset -- to uiQuery36Offset--.; Correct RMI query parsing.
TP-43625 (921264) | The right click no function via Forced Pad. | Removed ForceModel temperarily.
TP-44398 | Check box for buttons is missing in HPNEWUI and when I click or tab next to buttons buttons get disabled | Removed hidden controls from TouchPad button device and Styk button device.
TP-44419 | 2 finger horizental scrolling will switch picture in Windows Photo Viewer | Disabled 2 finger horizontal scroll for all photo applications to avoid sending left/right key to photo Apps
TP-44525 | 17.0.0 HPnewUI no video for Buttons | Fixed Control Panel no video issue in the Buttons page.

Version: 17.0.0
Date: 06-07-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44045 | _project_ (175) - Tap to click will invalid for few seconds after 2 or 3 finger slide on pad | Improve conmunication between API and Kernel Driver.;
TP-44046 | _project_ (176) - Continue tap the 2-finger on the touchpad surface will always trigger both of mouse right and left button events. | Improve tap vs drag with 1F and multifingers, as well as communication between API and Kernel Driver..
TP-44244 | Task tray Synaptics icon, "Pressure graph" and "MoodPad" items cannot be seen. | Fixed the wrong location of popmenu by right clicking trayicon, when the size of all items is set to 150% in control panel.
TP-44299 | Right side, down side "Return at edge of screen" in Momentum doesn't work | Fixed the bounce off screen edge in momentum not working issue, when the size of all items is set to 150% in control panel.
TP-44300 | Enable Tap zone, even touch right up corner, Maximum windows doesn't work | Fixed the issue of maximizing windows not working, when the size of all items is set to 150% in control panel.
TP-44348 | Switch from VS2005 to VS2012 by Default | Save 2005 solution; Switch from VS2005 to VS2012 by Default Use include and lib files from T drive; Bump SynTPCo19.dll to SynTPCo20.dll; SynDell;share\Png; Solution files; KmdfLibraryVersion = 1.11, WdfCoInstaller01011.dll; SynOsLib dir.lst; Remove ...2012.sln files; Inf2Cat; forcetext2bin; Use Include and lib files from T drive
TP-44457 | 16.6.5 sony2006.inf Two-Finger horizontal scroll failed. | Only read application specific settings when apps switch happens, otherwise some user specific settings will be overridden if CPL is opened and changes are not apllied.
|  | Disabled edge swipe by default.
TP-43625 (921264) | The right click no function via Forced Pad. | Set right default action for corner zone.
TP-43853 | Two-Finger Click Implementation on ForcePad | Use per-finger force to determine Left vs. Right click when 2 fingers are present on the ForcePad.
TP-44269 | FP: Potential system hang issue if ForceModel is not correct. | Prevent a crash that occurs if the ForceModel is larger than the buffer allocated to hold it.
TP-44350 | FP: use Center Press Calibration data from firmware | Use the calibration data from the device firmware.; Use the calibration data from the device firmware.
TP-44419 | 2 finger horizental scrolling will switch picture in Windows Photo Viewer | Disabled 2 finger horizontal scroll for all photo applications to avoid sending left/right key to photo Apps
TP-44497 | FP: force reconstruct is yielding lower than expected values | Added calibration factor for ForcePad reconstructed force.